Blog do TaQ

Rmagick, ImageMagick e OpenMP

Publicado em Developer

Estava aqui fazendo meus projetos em Rails quando precisei de uma funcionalidade do RMagick, quando BUUUUM, o treco explodiu. Apareceu uma mensagem tipo essa:

libgomp.so.1: shared object cannot be dlopen()ed

Oh-oh, o que aconteceu? Pesquisando um pouco achei várias URLs falando sobre isso, e a conclusão foi que parece que as últimas versões da ImageMagick vem compiladas (em várias distros) com suporte para o OpenMP, e sabe Deus a causa de um não estar conversando com o outro. A solução é compilar (para quem puder) a ImageMagick usando a seguinte opção:

--disable-openmp

Eu alterei o SlackBuild inserindo apenas essa opção, pedi para gerar o pacote, fiz upgrade (já que ia compilar peguei a última versão né) e pimba, tudo funcionando novamente!


Tags:


Comentários

comments powered by Disqus

Twitter